#!/bin/bash

# redirect stderr to stdin
exec 2>&1

# stop on any error
set -ex

# define the setup command, but preserve EUPS_PATH
. "/tigress/pprice/hscPipe7/lsstsw/eups/2.1.5/bin/setups.sh"
export EUPS_PATH="/tigress/pprice/hscPipe7/lsstsw/stack"

cd "/tigress/pprice/hscPipe7/lsstsw/build/python"

# clean up the working directory
git reset --hard
git clean -d -f -q -x -e '_build.*'

# prepare
eupspkg PRODUCT=python VERSION=0.0.7-3-g85c3855 FLAVOR=generic prep

# setup the package with its exact dependencies
cat > _build.tags <<-EOF

EOF
set +x
echo "Setting up environment with EUPS"
setup --vro=_build.tags -r .
set -x

# build
eupspkg PRODUCT=python VERSION=0.0.7-3-g85c3855 FLAVOR=generic config
eupspkg PRODUCT=python VERSION=0.0.7-3-g85c3855 FLAVOR=generic build
if [ -d  tests/.tests ] &&                 [ "`ls tests/.tests/*.failed 2> /dev/null | wc -l`" -ne 0 ]; then
    echo "*** Failed unit tests.";
    exit 1
fi
eupspkg PRODUCT=python VERSION=0.0.7-3-g85c3855 FLAVOR=generic install

# declare to EUPS
eupspkg PRODUCT=python VERSION=0.0.7-3-g85c3855 FLAVOR=generic decl

# explicitly append SHA1 to pkginfo
echo SHA1=85c3855c56fdbd3304bda946ee9f0899487c30f6 >> $(eups list python 0.0.7-3-g85c3855 -d)/ups/pkginfo
